// echofileDlg.h : header file
//

#if !defined(AFX_ECHOFILEDLG_H__2D5E2E0A_DD4A_4F69_B5AF_5D7C83C55B40__INCLUDED_)
#define AFX_ECHOFILEDLG_H__2D5E2E0A_DD4A_4F69_B5AF_5D7C83C55B40__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEchofileDlg dialog

class CEchofileDlg : public CDialog
{
// Construction
public:
	CEchofileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEchofileDlg)
	enum { IDD = IDD_ECHOFILE_DIALOG };
	CString	m_strWSDLURL;
	CString	m_strFilePath;
	int		m_nTransferMode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEchofileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEchofileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonPathBrowse();
	afx_msg void OnOk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ECHOFILEDLG_H__2D5E2E0A_DD4A_4F69_B5AF_5D7C83C55B40__INCLUDED_)
